package cn.ezhizao.project.system.service;

import cn.ezhizao.framework.web.domain.server.Sys;
import cn.ezhizao.project.system.domain.SysDept;
import cn.ezhizao.project.system.domain.SysDeptUser;
import cn.ezhizao.project.system.domain.SysUser;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

public interface ISysDeptUserService extends IService<SysDeptUser> {
    /**
     * 删除用户的部门信息
     * @param deptUser
     * @return
     */
    public Integer deleteByDeptIdAndUserId(SysDeptUser deptUser);

    public List<SysDeptUser> getList(SysDeptUser deptUser);
    public List<SysUser> getUserInfoByDeptId(SysDeptUser deptUser);

    /**
     * 修改部门用户是否是工段长或调机
     * @param data
     * @return
     */
    Integer updateDeptUser(SysDeptUser data);
    List<SysUser> selectInnerUserByDeptId(SysDept sysDept);
}
